summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2022-02-15 19:51:44 +0100
committerMichał Górny <mgorny@gentoo.org>2022-02-15 20:12:31 +0100
commit880680ed909815d978be1a9b4b582bd698250276 (patch)
treef9aa6ef461f2a9d33a2447de978a71fb80ee5cd2 /eclass
parentdev-php/xdebug: Add upstream to metadata (diff)
downloadgentoo-880680ed909815d978be1a9b4b582bd698250276.tar.gz
gentoo-880680ed909815d978be1a9b4b582bd698250276.tar.bz2
gentoo-880680ed909815d978be1a9b4b582bd698250276.zip
distutils-r1.eclass: Require explicit root for d_pep517_install
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'eclass')
-rw-r--r--eclass/distutils-r1.eclass8
1 files changed, 4 insertions, 4 deletions
diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index cdd57149720d..9e7970fc2833 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -990,18 +990,18 @@ _distutils-r1_get_backend() {
}
# @FUNCTION: distutils_pep517_install
-# @USAGE: [<root>]
+# @USAGE: <root>
# @DESCRIPTION:
# Build the wheel for the package in the current directory using PEP 517
-# backend and install it into <root>. If <root> is not specified,
-# ${BUILD_DIR}/install is used.
+# backend and install it into <root>.
#
# This function is intended for expert use only. It does not handle
# wrapping executables.
distutils_pep517_install() {
debug-print-function ${FUNCNAME} "${@}"
+ [[ ${#} -eq 1 ]] || die "${FUNCNAME} takes exactly one argument: root"
- local root=${1:-${BUILD_DIR}/install}
+ local root=${1}
local -x WHEEL_BUILD_DIR=${BUILD_DIR}/wheel
mkdir -p "${WHEEL_BUILD_DIR}" || die